{% set url = path('ads_show', {'slug': ad.slug}) %}
<div class="col-md-4">
    <div class="card bgAds mb-3 cardHeight">
        <div class="card-header text-center">
            <strong>{{ ad.price | number_format(2, ',', ' ') }}&euro; / jour</strong> <br>
            {% if ad.comments|length > 0 %}
                {% include 'partials/rating.html.twig' with {'rating':ad.avgRatings}%}
            {% else %}
                <small>Pas encore noté</small>
            {% endif %}
        </div>
        <a href="{{url}}">
            <img src="{{ ad.coverImage }}" alt="Image de l'appartement" style="height: 200px; width: 100%; display: block;"/>
        </a>
        <div class="card-body">
            <h4 class="card-title cob tac">
                <a href="{{url}}">
                    {{ ad.title }}
                </a>
            </h4>
            <p class="card-text cob">
                {{ ad.introduction | truncate(125) | raw }}
            </p>
            <a href="{{url}}" class="btn btn-light float-right">
                En savoir plus !
            </a>
            {% if app.user and app.user == ad.author %}
                <a href="{{path('ads_edit', {'slug':ad.slug})}}" class="btn btn-secondary">Modifier l'annonce !</a>
            {% endif %}
        </div>
    </div>
</div>